Check which products are available at the given postcode.
| postcode required | string UK Postcode to check availability for. |
curl -X GET "https://api.vorboss.com/product-availability/postcode/SE1%200JN" -H "Authorization: Bearer YOUR TOKEN"
{- "id": "KR3FVJ7P",
- "message": "Vorboss Products are available at SE1 0JN. Please contact us to place an order.",
- "postcode": "SE1 0JN",
- "availableProducts": [
- {
- "name": "10G Carrier Tail connected at 1G within CLA (12 Months)",
- "bandwidthProvisioned": 1,
- "bandwidthCapacity": 10,
- "term": 12,
- "price": 123.99,
- "currency": "GBP",
- "leadTimeDays": 84
}
]
}Place an order for a given product at the given postcode.
curl -s https://api.vorboss.com/product-availability/order -X POST -H "Content-Type: application/json" -H "Authorization: Bearer YOURTOKEN" -d '{"postcode": "E14 9WZ", "productCode": "some product code getting from check postcode method"}'
{- "message": "We have received your order request. A member of our team will be in touch shortly.",
- "orderId": "195e62e0-9866-49f6-b317-f84ffb39d80a"
}